org.cybergarage.http

## Class Parameter

- java.lang.Object
- - org.cybergarage.http.Parameter

-     public class Parameter
      extends Object

  Represents a name-value parameter pair used in HTTP requests and responses. This class provides a simple container for storing parameter names and their corresponding values, commonly used for query parameters, form data, and HTTP headers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Parameter()` Creates a new empty Parameter with null name and value.
    `Parameter(String name, String value)` Creates a new Parameter with the specified name and value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the parameter name.
    `String` | `getValue()` Gets the parameter value.
    `void` | `setName(String name)` Sets the parameter name.
    `void` | `setValue(String value)` Sets the parameter value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Parameter

          public Parameter()

      Creates a new empty Parameter with null name and value.

    - #### Parameter

          public Parameter(String name,
                           String value)

      Creates a new Parameter with the specified name and value.
      Parameters:
        `name` - the parameter name
        `value` - the parameter value

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the parameter name.
      Returns:
        the parameter name

    - #### getValue

          public String getValue()

      Gets the parameter value.
      Returns:
        the parameter value

    - #### setName

          public void setName(String name)

      Sets the parameter name.
      Parameters:
        `name` - the parameter name to set

    - #### setValue

          public void setValue(String value)

      Sets the parameter value.
      Parameters:
        `value` - the parameter value to set